#
# Forces nheko to work properly.
#
# vim: et:ts=2:sw=2:
#
{ ... }:
let
  overlay = final': prev': {
    nheko = prev'.nheko.overrideAttrs (
      final: prev: {

      preFixup = prev.preFixup + ''
        qtWrapperArgs+=(--unset QT_STYLE_OVERRIDE)
        qtWrapperArgs+=(--unset QT_QPA_PLATFORMTHEME)
      '';

      }
    );
  };
in
{
  nixpkgs.overlays = [ overlay ];
}
